#ifndef _USART_h_
#define _USART_h_




void uart_init(void);		/* Initialize UART and Flush FIFOs */
uint8_t uart_get (void);	/* Get a byte from UART Rx FIFO */
uint8_t uart_test(void);	/* Check number of data in UART Rx FIFO */
void uart_put (uint8_t);	/* Put a byte into UART Tx FIFO */
void rprintfChar(unsigned char c);
void rprintfStr(char str[]);
void rprintfNum(char base, char numDigits, char isSigned, char padchar, long n);
void rprintfFloat(char numDigits, double x);


#endif
